Page MenuHomePhabricator

Add visible help link for Special:Notifications at the usual position
Closed, ResolvedPublic

Description

On Wikipedia, many Special pages show a link to a help page in the upper right-hand corner, such as can be seen here for Special:Recent changes:

One notable exception is Special:Notifications:

In T184364: Special:Notifications page does not show Help Page Link it was pointed out that there is already a help link in the settings menu, but I believe that few users will search for it there, as it is not visible by default and all (most?) other Special pages show the help link on the top right.

I therefore suggest to (re-)consider adding a clearly visible help link at the usual position for Special:Notifications.

Event Timeline

Cirdan created this task.Jul 23 2018, 9:41 AM
Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 23 2018, 9:41 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

I do support this, and it should be configurable the usual way per project rather than constantly

mw:Special:Mylanguage/Help:Notifications

as set in

  • rECHO/includes/EchoHooks.php line 98
  • rECHO/includes/special/SpecialNotifications.php line23
  • All i18n like rECHO/i18n/en.json

Since many wikis do maintain their own guidelines this shall be configurable per project (not per language), with mediawiki.org/wiki/Special:Mylanguage as default, also for external installations.

Similar to the example in task description with message recentchanges-helppage I would expect notifications-helppage among those.

I just discover that notifications-helppage has been created in 2016, probably since an earlier implementation of the specialpage did support what the proposal is asking for. Created by WMF staff.

Leading me to T58037 which requested that and T101057 which implemented it. Previous special page did support it, but then local site functionality was cut away again??

JTannerWMF moved this task from FY 2019-20 to Q2 2019-20 on the Growth-Team board.Jan 3 2019, 3:54 PM

Hi, I am Shivansh Bindal sophomore IIT Roorkee. I will like to work on this.
Sir, I am not able to make developers account as it is showing permission denied. Also, the code of notifications special page is not in the directory where the code of all other special pages is there i.e. in includes/specials directory.
Thank you :)

@Shivanshbindal9:

Also, the code of notifications special page is not in the directory where the code of all other special pages is there i.e. in includes/specials directory.

  • includes/specials is part of so-called core which is part of every Mediawiki installation: rMW.
  • You need rECHO which is an optional extension of core. Please see my statement above at T200184#4444836 for paths and particular lines.

Enjoy!

Hi, I am Shivansh Bindal sophomore IIT Roorkee. I will like to work on this.
Sir, I am not able to make developers account as it is showing permission denied.

Creation of developer account is temporarily disabled for security reasons. See T219316#5059676

bd808 added a subscriber: bd808.Mar 28 2019, 6:44 PM

Hi @kostajh, I have tried to fix the bug, but as of now I don't have a developers account on Gerrit because the creation of new developers account is currently disabled. So, how can I get one?

I have tried to fix the bug, but as of now I don't have a developers account on Gerrit because the creation of new developers account is currently disabled. So, how can I get one?

@bd808 @srishakatux do you have any advice for @Shivanshbindal9 on how to proceed?

Hi, sorry to bother again. But, I am still not able to get the developers account. The link on https://www.mediawiki.org/wiki/Developer_account to signup for Wikimedia developer account as it is showing permission denied. Can you please tell a way to get one?
I'll be grateful for any help.
Thanks

bd808 added a comment.Apr 1 2019, 8:45 PM

Hi, sorry to bother again. But, I am still not able to get the developers account. The link on https://www.mediawiki.org/wiki/Developer_account to signup for Wikimedia developer account as it is showing permission denied. Can you please tell a way to get one?
I'll be grateful for any help.
Thanks

We are still working on various fixes that have been determined to be blockers for restoring Developer account creation. There is no process today to create a new Developer account that is known to work due to some other bugs in the LdapAuthention system. (Namely that generating and sending a temporary password by email does not currently work and normal password reset mechanisms on Wikitech are currently disabled as well pending resolution of T219277).

This is all horrible and disruptive for folks trying to work on Google Summer of Code, Outreachy, or just generally become new technical contributors. The Technical Engagement team is trying to work with various individuals and teams within the Wikimedia Foundation to restore normal account creation workflows. As of 2019-04-01 (nope, not an April Fool's joke) we have a list of actions that we feel need to be take, but no estimate of when these issues will all be resolved. There are multiple people actively working to fix the problems and restore normal service however.

The best advice I can give at the moment is:

  • git cloning from Gerrit works as an anonymous user
  • Patches can be developed and tested in a local environment such as MediaWiki-Vagrant
  • Patches ready for review can be emailed to reviewers who can then upload them to gerrit using their account.
    • See help on git format-patch and git send-email for more information
  • Keep checking back at Wikitech and/or toolsadmin.wikimedia.org for account creations to be restored. There will be a post to the wikitech-l mailing list when this service is restored as well.

Thanks a lot, @bd808!!
@kostajh sir, where can I send the patches for review?
Thanks

@Shivanshbindal9 you can email me, the address is listed at https://www.mediawiki.org/wiki/User:KHarlan_(WMF) . Please just submit for a single microtask for now, and make sure you claim the microtask you're working on so the other one(s) are available to other people. Thanks!

Shivanshbindal9 added a comment.EditedApr 1 2019, 11:02 PM

Thanks, @kostajh!! I have mailed the patch for review

.
Actually, sir, I was done with this issue so I started working on the other. I sincerely apologize for it and will definitely take care in future.
Thanks!

Change 500751 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/Echo@master] Add visible help link for Special:Notifications

https://gerrit.wikimedia.org/r/500751

Tgr added a subscriber: Tgr.Apr 3 2019, 12:03 AM

We are still working on various fixes that have been determined to be blockers for restoring Developer account creation. There is no process today to create a new Developer account that is known to work due to some other bugs in the LdapAuthention system. (Namely that generating and sending a temporary password by email does not currently work and normal password reset mechanisms on Wikitech are currently disabled as well pending resolution of T219277).

Admins can create an account while specifying the password, then mail it to the user who can log in with that and use the password change form. I verified that works and the new password gets me into Gerrit. It's not a great workflow but surely better than not letting GSoC people get an account.

Change 500751 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Add visible help link for Special:Notifications

https://gerrit.wikimedia.org/r/500751

Etonkovidova closed this task as Resolved.Apr 11 2019, 4:57 PM
Etonkovidova added a subscriber: Etonkovidova.

Checked in betalabs - the Help button is present and redirects to https://www.mediawiki.org/wiki/Help:Notifications/Special:Notifications. The icon is the same as on other Special pages: